Subject: Re: bug#25038: 25.1; Accent in Windows username prevents Emacs from loading customizations
From: Eli Zaretskii <[email-masked]>
To: Márton Marczell <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Nov 2016 17:46:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Márton Marczell <[email-masked]>
> Date: Sun, 27 Nov 2016 21:58:02 +0100
> Cc: [email-masked]
> 
> Yes I can reproduce the error from cmd. Command line argument is not even needed. Simply launching
> emacs from the cmd prompt gives the error when the directory path does not have an accented letter in it,
> and succeeds when it does. The default directory for cmd is C:\Users\Márton, that's why I couldn't reproduce
> the error from cmd initially.
> 
> PWD is not defined anywhere. (getenv "PWD") gives back nil in both cases. 
> 
> Running 
> 
> set HOME=D:\a
> runemacs
> 
> makes Emacs create a new .emacs.d folder in D:\a, whereas
> 
> set HOME=D:\á
> runemacs
> 
> makes Emacs create a folder named D:\� which it is then unable to populate, failing with a different error
> ("Cannot open load file: No such file or directory, ~/abbrev_defs")

Thanks, I reproduced this on my system, and fixed the underlying bugs
for the next release (Emacs 25.2).

I'm closing the bug.  Feel free to reopen if you (or someone else)
find left-overs or new problems with the fix.